#ifndef _code_libpng_cpp
#define _code_libpng_cpp
	
	// PNG callback functions for C++ streams.
	static void png_user_write( png_structp png_ptr, png_bytep data, png_size_t length )
	{
		// We want to dump the file.
		ostream* stream = ( ostream* ) png_ptr->io_ptr;
		stream->write( ( char* )data, length );
	}
	
	static void png_user_flush( png_structp png_ptr )
	{
		ostream* stream = ( ostream* ) png_ptr->io_ptr;
		stream->flush();
	}

#endif
