#ifndef DATADIR_H_
#define DATADIR_H_

#include "../config.h"
#include <string>
#include <unistd.h>
#include <libgen.h>
#include <iostream>
#include <cassert>

inline std::string get_datadir()
{
	char exe_buf[255];
	int nchar;

	// Solve the path of the exectuable, if possible.
	if((nchar = readlink("/proc/self/exe", exe_buf, 255)) == -1)
	{
		std::cerr << "Couldn't read /proc/self/exe!" << std::endl;
		return std::string("./");
	}
	// Bad practice...
	assert(nchar < 255);
	// Add the NULL character.
	exe_buf[nchar] = 0;
	return std::string(std::string(dirname(exe_buf)) + std::string("/" BINTODATA "/"));
}

#endif

