
	#ifndef _CTOOL_H_
	#define _CTOOL_H_	
	
	#include <iostream>	
	#include <string>
	#include <SDL/SDL.h>
	
	#include "../main/cImage.h"	
	#include "../main/cBrush.h"
	
	using namespace std;
	
	class cTool
	{				
		public:
 			cTool (){};
			virtual ~cTool ( ){};
 			virtual cCoords* Action ( cImage* canvas, SDL_Surface* window, int x, int y ) = 0;
			virtual void setMouseMode ( string value ) = 0;			
			virtual void setDrawMode ( string drawmode ) = 0;	
			virtual void setCurrentColor ( cImageColor color ) = 0;
			virtual cImageColor getCurrentColor ( ) = 0;
			virtual string getName ( ) = 0;
			virtual string getDrawMode ( ) = 0;		
			virtual void sendQuery ( string query ) = 0;			
			virtual int getSize () = 0;			
			virtual void setBrush ( cBrush* brush ) = 0;
	};		
	
	#endif
