#ifndef _CGADGETSTRING_H_
#define _CGADGETSTRING_H_

#include <iostream>
#include <SDL/SDL.h>
#include <SDL/SDL_ttf.h>
#include <string>
#include <sstream>
#include <map>

#include "../globalcode/code_sdlgfx.cpp"

using namespace std;

class cGadgetString
{
	private:
		int iX;
		int iY;
		int iWidth;
		int iHeight;		
		int iCursorPosition;						
		
		map < int, char > mText;
		
		SDL_Surface* oSurface;
		
		TTF_Font* oFont;
		
		void mainLoop ( );
		
	public:
		cGadgetString ( );
		~cGadgetString ( );
		void setRect ( SDL_Rect rect );
		void setDisplaySurface ( SDL_Surface* surface );
		void setActive ( );
		void setString ( string sData );
		string getString ( );	
		void refresh ( );
};

#endif
