
 #include <iostream>
 #include <SDL/SDL.h>
  
 #include "main/cToolkit.h" 
 
 using namespace std;
 
 int main ( int argv, char* argc[] )
 {         
  /* Default */

  int bitdepth = 24;
  
  int globalWidth = 640; 
  int globalHeight = 480;
  
  int globalScreenWidth = 640;
  int globalScreenHeight = 480;
  
  int globalFrames = 1; // No frames default..
  
  string fileName = "";  
  
  int globalLayers = 1; 
  
  // Fill from argc
  int a = 0;
  while ( argc[ a ] != NULL )
  {  
   string str = ( string )argc[ a ];  
   if ( str.substr ( 0, 4 ) == "file" )
   {
    string outstring = "";
    int b, mode; mode = 0;
    for ( b = 0; b < ( int )str.size ( ); b++ )
    {
     if ( mode == 1 )
      outstring += str.substr ( b, 1 );
     if ( str.substr ( b, 1 ) == "=" )
      mode = 1;  
    }         
    if ( outstring.size ( ) > 0 )
    {    
     fileName = outstring;
    }
   } 
   if ( str.substr ( 0, 8 ) == "bitdepth" )
   {
    string outstring = "";
    int b, mode; mode = 0;
    for ( b = 0; b < ( int )str.size ( ); b++ )
    {
     if ( mode == 1 )
      outstring += str.substr ( b, 1 );
     if ( str.substr ( b, 1 ) == "=" )
      mode = 1;  
    }         
    if ( outstring.size ( ) > 0 )
    {    
     bitdepth = atoi ( outstring.c_str ( ) );   
    }
   }
   if ( str.substr ( 0, 5 ) == "width" )
   {
    string outstring = "";
    int b, mode; mode = 0;
    for ( b = 0; b < ( int )str.size ( ); b++ )
    {
     if ( mode == 1 )
      outstring += str.substr ( b, 1 );
     if ( str.substr ( b, 1 ) == "=" )
      mode = 1;  
    }         
    if ( outstring.size ( ) > 0 )
    {    
     globalWidth = atoi ( outstring.c_str ( ) );   
    }
   } 
   if ( str.substr ( 0, 6 ) == "height" )
   {
    string outstring = "";
    int b, mode; mode = 0;
    for ( b = 0; b < ( int )str.size ( ); b++ )
    {
     if ( mode == 1 )
      outstring += str.substr ( b, 1 );
     if ( str.substr ( b, 1 ) == "=" )
      mode = 1;  
    }         
    if ( outstring.size ( ) > 0 )
    {    
     globalHeight = atoi ( outstring.c_str ( ) );   
    }
   }
   if ( str.substr ( 0, 11 ) == "screenwidth" )
   {
    string outstring = "";
    int b, mode; mode = 0;
    for ( b = 0; b < ( int )str.size ( ); b++ )
    {
     if ( mode == 1 )
      outstring += str.substr ( b, 1 );
     if ( str.substr ( b, 1 ) == "=" )
      mode = 1;  
    }         
    if ( outstring.size ( ) > 0 )
    {    
     globalScreenWidth = atoi ( outstring.c_str ( ) );   
    }
   } 
   if ( str.substr ( 0, 12 ) == "screenheight" )
   {
    string outstring = "";
    int b, mode; mode = 0;
    for ( b = 0; b < ( int )str.size ( ); b++ )
    {
     if ( mode == 1 )
      outstring += str.substr ( b, 1 );
     if ( str.substr ( b, 1 ) == "=" )
      mode = 1;  
    }         
    if ( outstring.size ( ) > 0 )
    {    
     globalScreenHeight = atoi ( outstring.c_str ( ) );   
    }
   } 
   if ( str.substr ( 0, 6 ) == "frames" )
   {
    string outstring = "";
    int b, mode; mode = 0;
    for ( b = 0; b < ( int )str.size ( ); b++ )
    {
     if ( mode == 1 )
      outstring += str.substr ( b, 1 );
     if ( str.substr ( b, 1 ) == "=" )
      mode = 1;  
    }         
    if ( outstring.size ( ) > 0 )
    {    
     globalFrames = atoi ( outstring.c_str ( ) );   
    }
   }
   if ( str.substr ( 0, 6 ) == "layers" )
   {
    string outstring = "";
    int b, mode; mode = 0;
    for ( b = 0; b < ( int )str.size ( ); b++ )
    {
     if ( mode == 1 )
      outstring += str.substr ( b, 1 );
     if ( str.substr ( b, 1 ) == "=" )
      mode = 1;  
    }         
    if ( outstring.size ( ) > 0 )
    {    
     globalLayers = atoi ( outstring.c_str ( ) );   
    }
   }  
   a++;
  }    
  
  SDL_Surface* window;    
  
  cToolkit toolkit ( globalLayers + 3 );
  
  /* Try to initialize SDL */
  SDL_Init ( SDL_INIT_VIDEO );
  if ( 1 )
  {         	   
  
   /* Open screen and start program */
   window = SDL_SetVideoMode ( globalScreenWidth, globalScreenHeight, bitdepth, SDL_SWSURFACE );
   
   // Set window title
   const char* chTitle = "Lunapaint v0.40b";
   SDL_WM_SetCaption( chTitle, "" );

   toolkit.setframes ( globalFrames );   
   toolkit.setOutput ( window, globalScreenWidth, globalScreenHeight );
   toolkit.setsize ( globalWidth, globalHeight );
   toolkit.drawLayer ( );
   /* Try to load specified image */
   if ( fileName.size ( ) )
    toolkit.loadImage ( fileName );
   
   
   while ( !toolkit.quitDirective )
   { 
    toolkit.Action ( );  
    SDL_Delay ( 1 ) ;         
   }   
  }
  
   SDL_Quit ( );
  return 0;
 };

