
	#ifndef _CPANELLAYERS_H_
	#define _CPANELLAYERS_H_
	
	#include <iostream>
	#include <string>
	#include <map>
	#include <SDL/SDL.h>		
	
	#include "../main/cImage.h"	
	
	class cPanelLayers
	{
		private:
			int height;
			int currentlayer;
			int layernum;
			
		public:
			cPanelLayers ( );
			~cPanelLayers ( );
			void setScreenHeight ( int height );
			void redraw ( SDL_Surface* screen );
			void drawColorRect ( int x, int y, int w, int h, SDL_Surface* canvas, cImageColor color );
			int getLayer ( int coordinate );
			void setLayerNum ( int num );
			void setLayers ( int num ); // Set how many layers there are
	};
	
	#endif
