
	#ifndef _CPANELPALETTE_H_
	#define _CPANELPALETTE_H_
	
	#include <iostream>
	#include <string>
	#include <map>
	#include <SDL/SDL.h>		
	
	#include "../main/cImage.h"
	
	class cPanelPalette
	{
		private:
			map < int, cImageColor > mPalette;
			cImageColor oCurrentColor;
			int iPaletteHeight;
			int iCurrentColor;
			
		public:
			cPanelPalette ( );
			~cPanelPalette ( );
			void redraw ( SDL_Surface* canvas );
			void drawColorRect ( int x, int y, int w, int h, SDL_Surface* canvas, cImageColor color, bool highlight );
			void setColor ( int c );
			cImageColor getColor ( );
			cImageColor* getColorPointer ( );
	};
	
	#endif
