	#include "cPanelTools.h"
	#include "../globalcode/datadir.h"
	
	cPanelTools::cPanelTools ( )
	{
		iHeight = 0;
		sCurrentTool = "pen";
		sMode = "overview";

 		std::string file = get_datadir() + std::string("/toolbar.png");
 		oToolbar = IMG_Load ( file.c_str() );
	}
	
	cPanelTools::~cPanelTools ( )
	{		
	}
	
	void cPanelTools::setScreenHeight ( int height )
	{
		iHeight = height;
	}
	
	void cPanelTools::redraw ( SDL_Surface* screen )
	{
		SDL_Rect rect; rect.x = 0; rect.y = 0; rect.w = 16; rect.h = 128;
		SDL_BlitSurface ( oToolbar, NULL, screen, &rect );
	}
	
	string cPanelTools::setTool ( int y )
	{			
		/*
		sCurrentTool = toolname;
		*/
		int convInt = ( int )( y / 16 );
		
		switch ( convInt )
		{
			case 0:	return "pen"; 				break;
			case 1: return "line"; 				break;
			case 2: return "rectangle"; 	break;
			case 3: return "circle";			break;
			case 4:	return "clipbrush";		break;
			case 5:	return "fill";				break;
			case 6:	return "colorpicker";	break;
			case 7: return "clear";				break;
			default: break;
		}
	}
			
	string cPanelTools::getTool ( )
	{
		return sCurrentTool;		
	}
	
	void cPanelTools::setMode ( string modename )
	{
		sMode = modename;
	}
	
	string cPanelTools::getMode ( )
	{
		return sMode;
	}
