
	#ifndef _CTOOLBRUSH_H_
	#define _CTOOLBRUSH_H_

	#include <iostream>
	#include <string>
	#include <cmath>
	
	#include "cTool.h"
	
	using namespace std;
	
	class cToolBrush : public cTool
	{
		private:
			
			float fPI;
			
			float fRAD;						
 			
 			string sName, sDrawMode, sMouseMode;
			
			int iPrevX, iPrevY;
			
			cImageColor oColor;			
			
			cCoords oActionCoords;						
			
			bool bIsDrawing;
			
			cBrush* oBrush;						
			
		public:		
			
			string mouseMode;
		
			cToolBrush ( );
			
			~cToolBrush ( );				
			
			cCoords* Action ( cImage* canvas, SDL_Surface* window, int x, int y );					
			
			cImageColor getCurrentColor ( );
			
			string getName ( );
			string getDrawMode ( );	
			
			void sendQuery ( string query );							
			void setMouseMode ( string value );			
			void setDrawMode ( string drawmode );					
			void setCurrentColor ( cImageColor color );			
			void setBrush ( cBrush* brush );
			
			int getSize ( );
	};
		
	#endif
