
	#ifndef _CTOOLCOLORPICKER_H_
	#define _CTOOLCOLORPICKER_H_

	#include <iostream>
	#include <string>
	#include <cmath>
	
	#include "cTool.h"	
	
	using namespace std;
	
	class cToolColorpicker : public cTool
	{
		private:			
 			string name;
			string drawMode;
			cImageColor currentColor;
			cCoords ActionCoords;

		public:
			string mouseMode;
			
			cToolColorpicker ( );
			
			~cToolColorpicker ( );			
			
			cCoords* Action ( cImage* canvas, SDL_Surface* window, int x, int y );
			
			void setMouseMode ( string value );			
			
			void setDrawMode ( string drawmode );
			
			void setCurrentColor ( cImageColor color );
			
			cImageColor getCurrentColor ( );
			
			string getName ( );
			
			string getDrawMode ( );
			
			void sendQuery ( string query );
			
			int getSize ( );
			
			void setBrush ( cBrush* brush ){}
	};
		
	#endif
