
	#ifndef _CTOOLFILL_H_
	#define _CTOOLFILL_H_

	#include <iostream>
	#include <map>
	#include <string>
	#include <cmath>
	
	#include "cTool.h"	
	
	using namespace std;
	
	class cToolFill : public cTool
	{
		private:
			float fPI;
			float fRAD;						
			string name;
			string drawMode;	
			cImageColor currentColor;
			cCoords ActionCoords;
			
		public:		
			string mouseMode;		
		
			cToolFill ( );
			
			~cToolFill ( );				
			
			cCoords* Action ( cImage* canvas, SDL_Surface* window, int x, int y );		
			
			void setMouseMode ( string value );
			
			bool getMouseMode ( string value );
			
			void setDrawMode ( string drawmode );
			
			void setCurrentColor ( cImageColor color );
			
			cImageColor getCurrentColor ( );
			
			string getDrawMode ( );
			
			string getName ( );
			
			inline void Fill ( int x, int y, Uint32 color, cImage* canvas );
			
			bool compareColors ( Uint32 color1, Uint32 color2 );	
			
			void sendQuery ( string query );
			
			int getSize ( );
			
			void setBrush ( cBrush* brush ){};
	};
		
	#endif
